package cn.com.ty.lift.quan.pay.dao.mapper;

import cn.com.ty.lift.quan.pay.dao.entity.Pay;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 * <p>
 * 用户资金表 Mapper 接口
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-26
 */
public interface PayMapper extends BaseMapper<Pay> {

    @Select("select count(user_id) count from user_account where user_id=${userId}")
    Map<String, Long> selectUserByUserId(@Param("userId") Long userId);
}
